<Ui xmlns="http://www.blizzard.com/wow/ui/" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.blizzard.com/wow/ui/
..\FrameXML\UI.xsd">

	<Include file="..\..\Addons\Bagnon_Core\bag\Bag.xml"/>
	<Include file="..\..\Addons\Bagnon_Core\Core.xml"/>
	
	<Script file="Bagnon.lua"/>
	
	<Frame name="BagnonBagSlots" virtual="true">
		<Size>
			<AbsDimension x="264" y="52"/>
		</Size>
		<Frames>
			<Button name="$parent1" inherits="BagnonBagTemplate" id="1">
				<Anchors>
					<Anchor point="LEFT" relativeTo="$parent">
						<Offset>
							<AbsDimension x="8" y="0"/>
						</Offset>
					</Anchor>
				</Anchors>
			</Button>
			<Button name="$parent2" inherits="BagnonBagTemplate" id="2">
				<Anchors>
					<Anchor point="LEFT" relativeTo="$parent1" relativePoint="RIGHT">
						<Offset>
							<AbsDimension x="2" y="0"/>
						</Offset>
					</Anchor>
				</Anchors>
			</Button>
			<Button name="$parent3" inherits="BagnonBagTemplate" id="3">
				<Anchors>
					<Anchor point="LEFT" relativeTo="$parent2" relativePoint="RIGHT">
						<Offset>
							<AbsDimension x="2" y="0"/>
						</Offset>
					</Anchor>
				</Anchors>
			</Button>
			<Button name="$parent4" inherits="BagnonBagTemplate" id="4">
				<Anchors>
					<Anchor point="LEFT" relativeTo="$parent3" relativePoint="RIGHT">
						<Offset>
							<AbsDimension x="2" y="0"/>
						</Offset>
					</Anchor>
				</Anchors>
			</Button>
		</Frames>
	</Frame>
	
	<Button name="Bagnon" inherits="BagnonBagFrame">
		<Size>
			<AbsDimension x="334" y="460"/>
		</Size>
		
		<Anchors>
			<Anchor point="RIGHT" relativePoint="RIGHT">
				<Offset>
					<AbsDimension x="-4" y="-100"/>
				</Offset>
			</Anchor>
		</Anchors>
		
		<!-- Inventory slots -->
		<Frames>
			<Button name="$parentItem1" inherits="BagnonItem"/>
			<Button name="$parentItem2" inherits="BagnonItem"/>
			<Button name="$parentItem3" inherits="BagnonItem"/>
			<Button name="$parentItem4" inherits="BagnonItem"/>
			<Button name="$parentItem5" inherits="BagnonItem"/>
			<Button name="$parentItem6" inherits="BagnonItem"/>
			<Button name="$parentItem7" inherits="BagnonItem"/>
			<Button name="$parentItem8" inherits="BagnonItem"/>
			<Button name="$parentItem9" inherits="BagnonItem"/>
			
			<Button name="$parentItem10" inherits="BagnonItem"/>
			<Button name="$parentItem11" inherits="BagnonItem"/>
			<Button name="$parentItem12" inherits="BagnonItem"/>
			<Button name="$parentItem13" inherits="BagnonItem"/>
			<Button name="$parentItem14" inherits="BagnonItem"/>
			<Button name="$parentItem15" inherits="BagnonItem"/>
			<Button name="$parentItem16" inherits="BagnonItem"/>
			<Button name="$parentItem17" inherits="BagnonItem"/>
			<Button name="$parentItem18" inherits="BagnonItem"/>
			<Button name="$parentItem19" inherits="BagnonItem"/>
			
			<Button name="$parentItem20" inherits="BagnonItem"/>
			<Button name="$parentItem21" inherits="BagnonItem"/>
			<Button name="$parentItem22" inherits="BagnonItem"/>
			<Button name="$parentItem23" inherits="BagnonItem"/>
			<Button name="$parentItem24" inherits="BagnonItem"/>
			<Button name="$parentItem25" inherits="BagnonItem"/>
			<Button name="$parentItem26" inherits="BagnonItem"/>
			<Button name="$parentItem27" inherits="BagnonItem"/>
			<Button name="$parentItem28" inherits="BagnonItem"/>
			<Button name="$parentItem29" inherits="BagnonItem"/>
			
			<Button name="$parentItem30" inherits="BagnonItem"/>
			<Button name="$parentItem31" inherits="BagnonItem"/>
			<Button name="$parentItem32" inherits="BagnonItem"/>
			<Button name="$parentItem33" inherits="BagnonItem"/>
			<Button name="$parentItem34" inherits="BagnonItem"/>
			<Button name="$parentItem35" inherits="BagnonItem"/>
			<Button name="$parentItem36" inherits="BagnonItem"/>
			<Button name="$parentItem37" inherits="BagnonItem"/>
			<Button name="$parentItem38" inherits="BagnonItem"/>
			<Button name="$parentItem39" inherits="BagnonItem"/>
			
			<Button name="$parentItem40" inherits="BagnonItem"/>
			<Button name="$parentItem41" inherits="BagnonItem"/>
			<Button name="$parentItem42" inherits="BagnonItem"/>
			<Button name="$parentItem43" inherits="BagnonItem"/>
			<Button name="$parentItem44" inherits="BagnonItem"/>
			<Button name="$parentItem45" inherits="BagnonItem"/>
			<Button name="$parentItem46" inherits="BagnonItem"/>
			<Button name="$parentItem47" inherits="BagnonItem"/>
			<Button name="$parentItem48" inherits="BagnonItem"/>
			<Button name="$parentItem49" inherits="BagnonItem"/>
			
			<Button name="$parentItem50" inherits="BagnonItem"/>
			<Button name="$parentItem51" inherits="BagnonItem"/>
			<Button name="$parentItem52" inherits="BagnonItem"/>
			<Button name="$parentItem53" inherits="BagnonItem"/>
			<Button name="$parentItem54" inherits="BagnonItem"/>
			<Button name="$parentItem55" inherits="BagnonItem"/>
			<Button name="$parentItem56" inherits="BagnonItem"/>
			<Button name="$parentItem57" inherits="BagnonItem"/>
			<Button name="$parentItem58" inherits="BagnonItem"/>
			<Button name="$parentItem59" inherits="BagnonItem"/>
			
			<Button name="$parentItem60" inherits="BagnonItem"/>
			<Button name="$parentItem61" inherits="BagnonItem"/>
			<Button name="$parentItem62" inherits="BagnonItem"/>
			<Button name="$parentItem63" inherits="BagnonItem"/>
			<Button name="$parentItem64" inherits="BagnonItem"/>
			<Button name="$parentItem65" inherits="BagnonItem"/>
			<Button name="$parentItem66" inherits="BagnonItem"/>
			<Button name="$parentItem67" inherits="BagnonItem"/>
			<Button name="$parentItem68" inherits="BagnonItem"/>
			<Button name="$parentItem69" inherits="BagnonItem"/>
			
			<Button name="$parentItem70" inherits="BagnonItem"/>
			<Button name="$parentItem71" inherits="BagnonItem"/>
			<Button name="$parentItem72" inherits="BagnonItem"/>
			<Button name="$parentItem73" inherits="BagnonItem"/>
			<Button name="$parentItem74" inherits="BagnonItem"/>
			<Button name="$parentItem75" inherits="BagnonItem"/>
			<Button name="$parentItem76" inherits="BagnonItem"/>
			<Button name="$parentItem77" inherits="BagnonItem"/>
			<Button name="$parentItem78" inherits="BagnonItem"/>
			<Button name="$parentItem79" inherits="BagnonItem"/>
			
			<Button name="$parentItem80" inherits="BagnonItem"/>
			<Button name="$parentItem81" inherits="BagnonItem"/>
			<Button name="$parentItem82" inherits="BagnonItem"/>
			<Button name="$parentItem83" inherits="BagnonItem"/>
			<Button name="$parentItem84" inherits="BagnonItem"/>
			<Button name="$parentItem85" inherits="BagnonItem"/>
			<Button name="$parentItem86" inherits="BagnonItem"/>
			<Button name="$parentItem87" inherits="BagnonItem"/>
			<Button name="$parentItem88" inherits="BagnonItem"/>
			<Button name="$parentItem89" inherits="BagnonItem"/>
			
			<Button name="$parentItem90" inherits="BagnonItem"/>
			<Button name="$parentItem91" inherits="BagnonItem"/>
			<Button name="$parentItem92" inherits="BagnonItem"/>
			<Button name="$parentItem93" inherits="BagnonItem"/>
			<Button name="$parentItem94" inherits="BagnonItem"/>
			<Button name="$parentItem95" inherits="BagnonItem"/>
			<Button name="$parentItem96" inherits="BagnonItem"/>
			<Button name="$parentItem97" inherits="BagnonItem"/>
			<Button name="$parentItem98" inherits="BagnonItem"/>
			<Button name="$parentItem99" inherits="BagnonItem"/>
			
			<Button name="$parentItem100" inherits="BagnonItem"/>
			<Button name="$parentItem101" inherits="BagnonItem"/>
			<Button name="$parentItem102" inherits="BagnonItem"/>
			<Button name="$parentItem103" inherits="BagnonItem"/>
			<Button name="$parentItem104" inherits="BagnonItem"/>
			<Button name="$parentItem105" inherits="BagnonItem"/>
			<Button name="$parentItem106" inherits="BagnonItem"/>
			<Button name="$parentItem107" inherits="BagnonItem"/>
			<Button name="$parentItem108" inherits="BagnonItem"/>
			<Button name="$parentItem109" inherits="BagnonItem"/>
			
			<Button name="$parentItem110" inherits="BagnonItem"/>
			<Button name="$parentItem111" inherits="BagnonItem"/>
			<Button name="$parentItem112" inherits="BagnonItem"/>
			<Button name="$parentItem113" inherits="BagnonItem"/>
			<Button name="$parentItem114" inherits="BagnonItem"/>
			<Button name="$parentItem115" inherits="BagnonItem"/>
			<Button name="$parentItem116" inherits="BagnonItem"/>
			<Button name="$parentItem117" inherits="BagnonItem"/>
			<Button name="$parentItem118" inherits="BagnonItem"/>
			<Button name="$parentItem119" inherits="BagnonItem"/>
			
			<Button name="$parentItem120" inherits="BagnonItem"/>
			<Button name="$parentItem121" inherits="BagnonItem"/>
			<Button name="$parentItem122" inherits="BagnonItem"/>
			<Button name="$parentItem123" inherits="BagnonItem"/>
			<Button name="$parentItem124" inherits="BagnonItem"/>
			<Button name="$parentItem125" inherits="BagnonItem"/>
			<Button name="$parentItem126" inherits="BagnonItem"/>
			<Button name="$parentItem127" inherits="BagnonItem"/>
			<Button name="$parentItem128" inherits="BagnonItem"/>
			<Button name="$parentItem129" inherits="BagnonItem"/>
			
			<Button name="$parentItem130" inherits="BagnonItem"/>
			<Button name="$parentItem131" inherits="BagnonItem"/>
			<Button name="$parentItem132" inherits="BagnonItem"/>
			<Button name="$parentItem133" inherits="BagnonItem"/>
			<Button name="$parentItem134" inherits="BagnonItem"/>
			<Button name="$parentItem135" inherits="BagnonItem"/>
			<Button name="$parentItem136" inherits="BagnonItem"/>
			<Button name="$parentItem137" inherits="BagnonItem"/>
			<Button name="$parentItem138" inherits="BagnonItem"/>
			<Button name="$parentItem139" inherits="BagnonItem"/>
			
			<Button name="$parentItem140" inherits="BagnonItem"/>
			<Button name="$parentItem141" inherits="BagnonItem"/>
			<Button name="$parentItem142" inherits="BagnonItem"/>
			<Button name="$parentItem143" inherits="BagnonItem"/>
			<Button name="$parentItem144" inherits="BagnonItem"/>
			<Button name="$parentItem145" inherits="BagnonItem"/>
			<Button name="$parentItem146" inherits="BagnonItem"/>
			<Button name="$parentItem147" inherits="BagnonItem"/>
			<Button name="$parentItem148" inherits="BagnonItem"/>
			<Button name="$parentItem149" inherits="BagnonItem"/>
			
			<Button name="$parentItem150" inherits="BagnonItem"/>
			<Button name="$parentItem151" inherits="BagnonItem"/>
			<Button name="$parentItem152" inherits="BagnonItem"/>
			<Button name="$parentItem153" inherits="BagnonItem"/>
			<Button name="$parentItem154" inherits="BagnonItem"/>
			<Button name="$parentItem155" inherits="BagnonItem"/>
			<Button name="$parentItem156" inherits="BagnonItem"/>
			<Button name="$parentItem157" inherits="BagnonItem"/>
			<Button name="$parentItem158" inherits="BagnonItem"/>
			<Button name="$parentItem159" inherits="BagnonItem"/>
			
			<Button name="$parentItem160" inherits="BagnonItem"/>
			<Button name="$parentItem161" inherits="BagnonItem"/>
			<Button name="$parentItem162" inherits="BagnonItem"/>
			<Button name="$parentItem163" inherits="BagnonItem"/>
			<Button name="$parentItem164" inherits="BagnonItem"/>
			
			<Frame name="$parentBags" inherits="BagnonBagSlots" hidden="true">
				<Anchors>
					<Anchor point="BOTTOMLEFT" relativeTo="$parent" relativePoint="BOTTOMLEFT">
						<Offset>
							<AbsDimension x="4" y="24"/>
						</Offset>
					</Anchor>
				</Anchors>
			</Frame>

			<!-- show bag slots button -->
			<Button name="$parentShowBags" text="Show Bags">
				<Size>
					<AbsDimension x="72" y="32"/>
				</Size>
				<Anchors>
					<Anchor point="BOTTOMLEFT" relativeTo="$parent" relativePoint="BOTTOMLEFT">
						<Offset>
							<AbsDimension x="8" y="0"/>
						</Offset>
					</Anchor>
				</Anchors>
				<Scripts>
					<OnClick>
						Bagnon_ToggleBags();
					</OnClick>
				</Scripts>
				<NormalText inherits="GameFontNormal"/>
				<DisabledText inherits="GameFontDisable"/>
				<HighlightText inherits="GameFontHighlight"/>
			</Button>
		</Frames>
		
		<Scripts>
			<OnLoad>
				Bagnon_OnLoad();
			</OnLoad>
			<OnEvent>
				Bagnon_OnEvent(event);
			</OnEvent>
			<OnShow>
				Bagnon_OnShow();
			</OnShow>
			<OnHide>
				Bagnon_OnHide();
			</OnHide>
		</Scripts>
	</Button>
</Ui>
